F-Secure Booster

Dear Community, although my Mozilla Thunderbird Version is always the newest available, FSBooster is always claiming that I have a very old version in my PC and is not in the position to recognize the latest version or to install it properly.

Anybody with an idea or having the same problem?

Thanks for your info.

regards Dagobert

Accepted Answer

This discussion has been closed.